package com.jeeplus.test.cw.projectReport.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * @author: 王强
 * @create: 2022-12-12 20:37
 **/
@Data
@TableName(value = "cw_project_report_review")
public class CwProjectReview extends BaseEntity {

    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;

    /**
     * 状态
     */
    private String reviewStatus;

    /**
     * 本报告共印份数
     */
    private String allPrintNum;

    /**
     * 发出份数
     */
    private String issueNum;

    /**
     * 存档份数
     */
    private String placeOnFileNum;

    /**
     * 打印人签名
     */
    private String printedBy;

    /**
     * 校对人签名
     */
    private String checkAutograph;

    /**
     * 财务-报告表id
     */
    private String reportId;

    /**
     * 财务-报告编号
     */
    private String reportReviewNo;

    /**
     * 报告类型及标题
     */
    private String reportTitleType;

    /**
     * 一级复核需提请关注或修改的事项
     */
    private String needUpdate1;

    /**
     * 二级复核需提请关注或修改的事项
     */
    private String needUpdate2;

    /**
     * 三级复核需提请关注或修改的事项
     */
    private String needUpdate3;

    /**
     * 一级复核备注
     */
    private String remark1;

    /**
     * 二级复核备注
     */
    private String remark2;

    /**
     * 三级复核备注
     */
    private String remark3;

    /**
     * 计算机文号
     */
    private String computerNo;
}
